Bug 249665 - please call stinit if /etc/stinit.def exists
please call stinit if /etc/stinit.def exists
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mt-st (Show other bugs)
7
All Linux
medium Severity low
: ---
: ---
Assigned To: Radek Brich
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-26 06:25 EDT by Patrick C. F. Ernzer
Modified: 2008-06-03 03:32 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.9b-6.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-03 03:32:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick C. F. Ernzer 2007-07-26 06:25:23 EDT
Description of problem:
it would be nice if mt-st included a small init script that would check if
/etc/stinit.def exists and if it does call '/sbin/stinit -v -v' (or just naked
stinit without verbose)

Version-Release number of selected component (if applicable):
mt-st-0.9b-3.fc7
(this also affects the mt-st in RHEL 2.1 and RHEL4, did not check others but
suspect none of out mt-st does this)

How reproducible:
always

Steps to Reproduce:
1. create /etc/stinit.def
2. reboot machine
  
Actual results:
we do not read in the file it would seem

Expected results:
file read in via initscript

Additional info:
this would just be nicer than having the user add a "/sbin/stinit" to his
/etc/rc.local
Comment 1 Bug Zapper 2008-05-14 09:40:45 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Radek Brich 2008-05-26 09:30:20 EDT
fix submitted to F9 and Fdevel
Comment 3 Fedora Update System 2008-05-26 09:32:46 EDT
mt-st-0.9b-6.fc9 has been submitted as an update for Fedora 9
Comment 4 Fedora Update System 2008-05-28 22:44:34 EDT
mt-st-0.9b-6.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mt-st'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-4539
Comment 5 Fedora Update System 2008-06-03 03:32:14 EDT
mt-st-0.9b-6.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.